Bug 1015566 - [abrt] konversation-1.5-0.2.20130607.fc19: string.py:205:safe_substitute:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 18: ordinal not in range(128)
[abrt] konversation-1.5-0.2.20130607.fc19: string.py:205:safe_substitute:Unic...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: konversation (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:74c7a62a367fd614dbbeb354208...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 09:56 EDT by Martin Airs
Modified: 2015-02-17 12:30 EST (History)
3 users (show)

See Also:
Fixed In Version: konversation-1.5-0.6.20130929
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:30:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.38 KB, text/plain)
2013-10-04 09:56 EDT, Martin Airs
no flags Details
File: environ (1.89 KB, text/plain)
2013-10-04 09:56 EDT, Martin Airs
no flags Details

  None (edit)
Description Martin Airs 2013-10-04 09:56:08 EDT
Description of problem:
use the command /sysinfo, brings up ABRT

Version-Release number of selected component:
konversation-1.5-0.2.20130607.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        python /usr/share/kde4/apps/konversation/scripts/sysinfo 0 #test
dso_list:       python-libs-2.7.5-4.fc19.x86_64
executable:     /usr/share/kde4/apps/konversation/scripts/sysinfo
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
string.py:205:safe_substitute:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 18: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/kde4/apps/konversation/scripts/sysinfo", line 238, in <module>
    output = string.Template(output_format).safe_substitute(sensors)
  File "/usr/lib64/python2.7/string.py", line 205, in safe_substitute
    return self.pattern.sub(convert, self.template)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 18: ordinal not in range(128)

Local variables in innermost frame:
mapping: {'kernel': 'powered by Linux 3.11.2-201.fc19.x86_64', 'uptime': '21.11h up', 'kde': u'inside KDE 4.11.2', 'ram': 'RAM: 8433/16015 MB', 'storage': 'Storage: 209/277 GB', 'host': 'localhost.localdomain', 'cpu': 'CPU: Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz at 1960-2975/3900 MHz', 'procs': '244 procs', 'distro': 'on Fedora 19 (Schr\xc3\xb6dinger\xe2\x80\x99s Cat)'}
convert: <function convert at 0x216b1b8>
args: ({'kernel': 'powered by Linux 3.11.2-201.fc19.x86_64', 'uptime': '21.11h up', 'kde': u'inside KDE 4.11.2', 'ram': 'RAM: 8433/16015 MB', 'storage': 'Storage: 209/277 GB', 'host': 'localhost.localdomain', 'cpu': 'CPU: Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz at 1960-2975/3900 MHz', 'procs': '244 procs', 'distro': 'on Fedora 19 (Schr\xc3\xb6dinger\xe2\x80\x99s Cat)'},)
kws: {}
self: <string.Template object at 0x216a650>
Comment 1 Martin Airs 2013-10-04 09:56:22 EDT
Created attachment 807679 [details]
File: backtrace
Comment 2 Martin Airs 2013-10-04 09:56:27 EDT
Created attachment 807680 [details]
File: environ
Comment 3 Rex Dieter 2013-10-04 10:40:10 EDT
This should be fixed in the latest build currently in -testing,

https://admin.fedoraproject.org/updates/FEDORA-2013-17974/konversation-1.5-0.6.20130929.fc19
Comment 4 Martin Airs 2013-10-04 12:14:01 EDT
confirmed works in F20 Konversation Version 1.5-branch #4217 (konversation-1.5-0.6.20130929.fc20.x86_64)

and F19 updatestesting konversation-1.5-0.6.20130929.fc19.x86_64

thankyou
Comment 5 Fedora End Of Life 2015-01-09 15:07:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:30:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.